# [Django AdminLTE](https://app-generator.dev/docs/products/django-libs/theme-adminlte.html)

Modern template for **[Django Admin](https://app-generator.dev/docs/products/django-libs/theme-adminlte.html)**, Auth Pages (registration included) crafted on top of **AdminLTE**, an open-source **Bootstrap** design.

- [Django Admin AdminLTE](https://app-generator.dev/docs/products/django-libs/theme-adminlte.html) - Documentation & Support Links
- [Django AdminLTE](https://app-generator.dev/product/adminlte/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[AdminLTE](https://app-generator.dev/docs/templates/bootstrap/adminlte.html)** (Bootstrap)
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a new Starter with [Django App Generator - AdminLTE Design](https://app-generator.dev/tools/django-generator/adminlte/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **AdminLTE Dashboard** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django AdminLTE - Modern template for Django Admin Section crafted on top of a modern Bootstrap, Open-Source Design.](https://user-images.githubusercontent.com/51070104/168842202-9b80a957-a375-4e6d-8247-2cc459267a86.png)

<br />

## [AdminLTE PRO Version](https://app-generator.dev/product/adminlte-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-adminlte-pro.onrender.com/charts/)

- **Simple, Easy-to-Extend** Codebase
- **AdminLTE** Design 
- **OAuth** - Github
- **Extended User Profile**
- **API** via DRF 
- **Charts** via ApexJS 
- **React Integration** (new) 
- **Dynamic DataTables**
- **CSV to Model** Generator
- **CSV** Loader 
- **Celery** (async tasks)
- **Deployment-Ready** for Render  

![Django AdminLTE - The premium version: API, Charts, React Intergration, Dynamic DT, and Docker Support.](https://github.com/user-attachments/assets/892dd62b-2127-4a8c-ba44-932999fdddbc)

<br />

---
**[Django AdminLTE](https://app-generator.dev/docs/products/django-libs/theme-adminlte.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
